Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001005Frama-CKernelpublic2011-10-28 17:152012-09-19 17:16
ReporterJochen 
Assigned Tovirgile 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001005: defining two axioms with same name causes kernel crash
DescriptionRunning "frama-c -cpp-command 'gcc -C -E -I.' -jessie '-jessie-why-opt=-exp goal' -no-unicode -jessie-atp simplify list.c" under why 2.30 on the attached program caused a kernel crash, asking to report it here. The last output was:

[kernel] failure: trying to register twice property `axiom
                  inj1'.
                  That is forbidden (kernel invariant broken).
[kernel] The full backtrace is:
         Raised at file "src/kernel/log.ml", line 509, characters 30-31
         Called from file "src/kernel/log.ml", line 503, characters 9-16
         Re-raised at file "src/kernel/log.ml", line 506, characters 15-16
         Called from file "src/logic/property_status.ml", line 349, characters 4-132
         Called from file "list.ml", line 69, characters 12-15
         Called from file "list.ml", line 69, characters 12-15
         Called from file "src/kernel/file.ml", line 1196, characters 5-43
         Called from file "src/kernel/file.ml", line 1412, characters 4-27
         Called from file "src/kernel/ast.ml", line 64, characters 2-28
         Called from file "src/project/state_builder.ml", line 490, characters 17-21
         Called from file "src/kernel/boot.ml", line 33, characters 60-72
         Called from file "src/kernel/cmdline.ml", line 723, characters 2-9
         Called from file "src/kernel/cmdline.ml", line 200, characters 4-8
         
         Frama-C aborted because of internal error.
         Please report as 'crash' at http://bts.frama-c.com/. [^]

The program "list.c" is obviously faulty, as it defines two axioms with the same name "inj1".
TagsNo tags attached.
Attached Filesc file icon list.c [^] (69 bytes) 2011-10-28 17:15 [Show Content]

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-10-28 17:15 Jochen New Issue
2011-10-28 17:15 Jochen File Added: list.c
2011-10-30 22:40 svn Checkin
2011-10-30 22:40 svn Status new => resolved
2011-10-30 22:40 svn Resolution open => fixed
2011-10-31 19:28 signoles Status resolved => assigned
2011-10-31 19:28 signoles Assigned To => virgile
2011-10-31 19:28 signoles Status assigned => resolved
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker